---
apiVersion: core.gardener.cloud/v1beta1
kind: ControllerRegistration
metadata:
  name: extension-shoot-fleet-agent
spec:
  resources:
  - kind: Extension
    type: shoot-fleet-agent
    globallyEnabled: true
  deployment:
    type: helm
    providerConfig:
      chart: [encoded data, 4772 characters]
      values:
        image:
          tag: v1.0.1-DEV
        fleetManager:
          kubeconfig: #base64 encoded kubeconfig of Fleet manager cluster with user that has write access to Cluster and Secret
          namespace: clusters
